"fatal: HttpRequestException encountered." 由于放弃了对TLS-1.0的支持,GitHub/Bitbucket存储库出现错误
问题 我最近推到github repo时遇到了以下消息: "fatal: HttpRequestException encountered. " 然后再次提示我的用户名和密码. 从以前的搜索中, Visual Studio 和原因 不能真正将更新的湿行化称为问题,所以这就是原因.问题是GitHub已删除了TLS-1.0的支持,该支持引起了客户的问题,包括Microsoft Visual Studio内置的Git Client,Git版本以下1.14以下以及GUI客户端以及包括Tortoisegit的GUI客户.完整发行说明可以在此处找到: https://githubengineering.com/crypto-removal-notice/ bitbucket "> bitbucket .1从2018年12月1日开始.我期望与以前类似的问题. 解决方案 编辑:将我的自我求助者移至答案框.见下文. 解决方案 GIT集线器已从其身份验证服务中删
12 2024-03-31
编程技术问答社区
在Apache 2.4中禁用TLS 1.0
我是不可技术但可以阅读的手册网站所有者.我正在Debian 9.0服务器上运行Apache 2.4.10.我想禁用TLS 1.0.我已经阅读了 sslprotocol指令.. P> 在我的虚拟主机文件中,我使用了以下指令: SSLProtocol all -TLSv1 -SSLv3 即使在重新加载后,然后重新启动Apache也无效.然后,我也将相同的指令添加到ssl.conf文件中,即使在重新加载和重新启动后,也仍然没有运气.我还使用以下指令尝试了同样的事情: SSLProtocol +TLSv1.1 +TLSv1.2 仍然没有运气.我进行了以下搜索只是为了查看我是否在配置文件中的其他地方使用了SSLProtocol指令,但是再次没有运气: grep -R 'SSLProtocol' . 我还检查了该网站的.htaccess文件,以确保我没有覆盖任何东西(尽管我不知道您可以在.htaccess文件中更改此设置).有任何想法吗?谢谢您的帮助! 解决方案
6 2024-02-27
编程技术问答社区
如何更改Java中的客户端TLS首选项?
我正在尝试向Java的端点提出帖子请求,当我尝试发送请求时,我会收到以下错误: Caused by: javax.net.ssl.SSLHandshakeException: The server selected protocol version TLS10 is not accepted by client preferences [TLS13, TLS12] 这就是我到目前为止的 Map data = new HashMap(); data.put("username","foo"); data.put("password","bar"); String url = "https://google.com"; HttpRequest request = HttpRequest.newBuilder() .POST(buildFormDataFromMap(data)) .uri(URI.create(url
18 2023-10-23
编程技术问答社区
(git tfs fetch) TF400324: 团队基金会服务不可用,基础连接已关闭
我已经使用git-tfs已有近5年了,然后有一天我在运行git tfs fetch时会遇到以下错误: TF400324: Team Foundation services are not available from server https://tfs.company.com/tfs/foo. Technical information (for administrator): The underlying connection was closed: An unexpected error occurred on a send. The underlying connection was closed: An unexpected error occurred on a send. Unable to read data from the transport connection: An existing connection was forcibly closed by
16 2023-10-19
编程技术问答社区
如何从Netty SSLContext中排除弱的协议(密码器套装)?
在我的Netty服务器上,我需要排除TLS_1.0和TLS_1.1协议.但是,似乎Netty SslContextBuilder不允许排除特定的西装. 当前代码用于构建SSL上下文: SslContextBuilder.forServer(serverCert, serverKey, serverPass) .sslProvider(sslProvider) .build(); SslContextBuilder有ciphers()方法,但尚不清楚如何排除TLS_1.0和TLS_1.1的特定密码. 有什么方法可以实现吗? 解决方案 您只需指定要支持的协议: SslContextBuilder.forServer(serverCert, serverKey, serverPass) .sslProvider(sslProvider).protocols(...
2 2023-09-28
编程技术问答社区
TLSv1未被启用或不被客户端支持
我使用 okhttp 向服务器发送请求,但出现错误 Server chose TLSv1, but that protocol version is not enabled or not supported by the client. javax.net.ssl.SSLHandshakeException: Server chose TLSv1, but that protocol version is not enabled or not supported by the client. at sun.security.ssl.ClientHandshaker.serverHello(ClientHandshaker.java:452) at sun.security.ssl.ClientHandshaker.processMessage(ClientHandshaker.java:206) at sun.security.ssl.Handshaker.pr
1318 2022-08-15
编程技术问答社区